<?php

use Illuminate\Support\Facades\Route;
use Koneko\VuexyContacts\Http\Controllers\ContactController;
use Koneko\VuexyContacts\Http\Controllers\SupplierController;
use Koneko\VuexyContacts\Http\Controllers\CustomerController;
use Koneko\VuexyContacts\Http\Controllers\EmployeeController;


// Grupo raíz para admin con middleware y prefijos comunes
Route::prefix('admin')->name('admin.contacts.')->middleware(['web', 'auth', 'admin'])->group(function () {
    // Contactos
    Route::controller(ContactController::class)->prefix('contactos/contactos')->name('contacts.')->group(function () {
        Route::get('/', 'index')->name('index');
        Route::get('create', 'create')->name('create');
        Route::get('{contact}', 'show')->name('show');
        Route::get('{contact}/delete', 'delete')->name('delete');
        Route::get('{contact}/edit', 'edit')->name('edit');
    });

    // Contactos
    Route::controller(ContactController::class)->prefix('contactos')->group(function () {
        Route::post('extraer-datos-pdf-constancia', 'extraerDataConstancia')->name('extraer-datos-pdf-constancia');
    });

    // Proveedores
    Route::controller(SupplierController::class)->prefix('inventario-y-logistica/proveedores')->name('suppliers.')->group(function () {
        Route::get('/', 'index')->name('index');  // Listar
        Route::get('create', 'create')->name('create');  // Formulario de creación
        Route::post('proveedores', 'store')->name('store');  // Guardar
        Route::get('{supplier}', 'show')->name('show');  // Ver
        Route::get('{supplier}/edit', 'edit')->name('edit');  // Formulario de edición
        Route::put('{supplier}', 'update')->name('update');  // Actualizar
        Route::delete('{supplier}', 'destroy')->name('destroy');  // Eliminar
    });

    // Clientes
    Route::controller(CustomerController::class)->prefix('ventas/clientes')->name('customers.')->group(function () {
        Route::get('/', 'index')->name('index');  // Listar
        Route::get('create', 'create')->name('create');  // Formulario de creación
        Route::post('clientes', 'store')->name('store');  // Guardar
        Route::get('{customer}', 'show')->name('show');  // Ver
        Route::get('{customer}/edit', 'edit')->name('edit');  // Formulario de edición
        Route::put('{customer}', 'update')->name('update');  // Actualizar
        Route::delete('{customer}', 'destroy')->name('destroy');  // Eliminar
    });

    // Empleados
    Route::controller(EmployeeController::class)->prefix('rrhh/empleados')->name('employees.')->group(function () {
        Route::get('/', 'index')->name('index');  // Listar
        Route::get('create', 'create')->name('create');  // Formulario de creación
        Route::post('empleados', 'store')->name('store');  // Guardar
        Route::get('{employee}', 'show')->name('show');  // Ver
        Route::get('{employee}/edit', 'edit')->name('edit');  // Formulario de edición
        Route::put('{employee}', 'update')->name('update');  // Actualizar
        Route::delete('{employee}', 'destroy')->name('destroy');  // Eliminar
    });

});
